module.exports = {
    "ApplicationProperties": {
        "applicationProperties": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4862",
            "path": "/rest/api/2/application-properties",
            "desc": "Returns an application property."
        },
        "applicationPropertiesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4891",
            "path": "/rest/api/2/application-properties/{id}",
            "desc": "Modify an application property via PUT. The \"value\" field present in the PUT will override thee existing value."
        }
    },
    "Attachment": {
        "attachment": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3211",
            "path": "/rest/api/2/attachment/{id}",
            "desc": "Returns the meta-data for an attachment, including the URI of the actual attached file."
        },
        "attachmentDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3228",
            "path": "/rest/api/2/attachment/{id}",
            "desc": "Remove an attachment from an issue."
        },
        "attachmentMeta": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3242",
            "path": "/rest/api/2/attachment/meta",
            "desc": "Returns the meta informations for an attachments, specifically if they are enabled and the maximum upload size allowed."
        }
    },
    "Auditing": {
        "auditingRecord": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2521",
            "path": "/rest/api/2/auditing/record",
            "desc": "Returns auditing records filtered using provided parameters"
        },
        "auditingRecordCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2557",
            "path": "/rest/api/2/auditing/record",
            "desc": "Store a record in Audit Log"
        }
    },
    "Avatar": {
        "avatarSystem": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3261",
            "path": "/rest/api/2/avatar/{type}/system",
            "desc": "Returns all system avatars of the given type."
        },
        "avatarTemporaryCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3282",
            "path": "/rest/api/2/avatar/{type}/temporary",
            "desc": "Creates temporary avatar"
        },
        "avatarTemporaryCropCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3316",
            "path": "/rest/api/2/avatar/{type}/temporaryCrop",
            "desc": "Updates the cropping instructions of the temporary avatar."
        }
    },
    "Comment": {
        "commentProperties": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e61",
            "path": "/rest/api/2/comment/{commentId}/properties/{propertyKey}",
            "desc": "Returns the value of the property with a given key from the comment identified by the key or by the id. The user who retrieves\n the property is required to have permissions to read the comment."
        },
        "commentPropertiesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e39",
            "path": "/rest/api/2/comment/{commentId}/properties/{propertyKey}",
            "desc": "Sets the value of the specified comment's property.\n "
        },
        "commentPropertiesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e87",
            "path": "/rest/api/2/comment/{commentId}/properties/{propertyKey}",
            "desc": "Removes the property from the comment identified by the key or by the id. Ths user removing the property is required\n to have permissions to administer the comment."
        }
    },
    "Component": {
        "componentCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3871",
            "path": "/rest/api/2/component",
            "desc": "Create a component via POST."
        },
        "componentDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3905",
            "path": "/rest/api/2/component/{id}",
            "desc": "Delete a project component."
        },
        "component": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3922",
            "path": "/rest/api/2/component/{id}",
            "desc": "Returns a project component."
        },
        "componentUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3939",
            "path": "/rest/api/2/component/{id}",
            "desc": "Modify a component via PUT. Any fields present in the PUT will override existing values. As a convenience, if a field\n is not present, it is silently ignored.\n\n If leadUserName is an empty string (\"\") the component lead will be removed."
        },
        "componentRelatedIssueCounts": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3965",
            "path": "/rest/api/2/component/{id}/relatedIssueCounts",
            "desc": "Returns counts of issues related to this component."
        }
    },
    "CustomFieldOption": {
        "customFieldOption": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2500",
            "path": "/rest/api/2/customFieldOption/{id}",
            "desc": "Returns a full representation of the Custom Field Option that has the given id."
        }
    },
    "Dashboard": {
        "dashboard": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4729",
            "path": "/rest/api/2/dashboard/{id}",
            "desc": "Returns a single dashboard."
        }
    },
    "Field": {
        "field": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3398",
            "path": "/rest/api/2/field",
            "desc": "Returns a list of all fields, both System and Custom"
        },
        "fieldCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3412",
            "path": "/rest/api/2/field",
            "desc": "Creates a custom field using a definition (object encapsulating custom field data)"
        }
    },
    "Filter": {
        "filterCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2737",
            "path": "/rest/api/2/filter",
            "desc": "Creates a new filter, and returns newly created filter.\n Currently sets permissions just using the users default sharing permissions"
        },
        "filter": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2770",
            "path": "/rest/api/2/filter/{id}",
            "desc": "Returns a filter given an id"
        },
        "filterUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2791",
            "path": "/rest/api/2/filter/{id}",
            "desc": "Updates an existing filter, and returns its new value."
        },
        "filterDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2820",
            "path": "/rest/api/2/filter/{id}",
            "desc": "Delete a filter."
        },
        "filterColumns": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2837",
            "path": "/rest/api/2/filter/{id}/columns",
            "desc": "Returns the default columns for the given filter. Currently logged in user will be used as\n the user making such request."
        },
        "filterColumnsUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2850",
            "path": "/rest/api/2/filter/{id}/columns",
            "desc": "Sets the default columns for the given filter."
        },
        "filterColumnsDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2865",
            "path": "/rest/api/2/filter/{id}/columns",
            "desc": "Resets the columns for the given filter such that the filter no longer has its own column config."
        },
        "filterDefaultShareScope": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2895",
            "path": "/rest/api/2/filter/defaultShareScope",
            "desc": "Returns the default share scope of the logged-in user."
        },
        "filterDefaultShareScopeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2912",
            "path": "/rest/api/2/filter/defaultShareScope",
            "desc": "Sets the default share scope of the logged-in user. Available values are GLOBAL and PRIVATE."
        },
        "filterFavourite": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2876",
            "path": "/rest/api/2/filter/favourite",
            "desc": "Returns the favourite filters of the logged-in user."
        }
    },
    "Group": {
        "groupCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e107",
            "path": "/rest/api/2/group",
            "desc": "Creates a group by given group parameter\n\n Returns REST representation for the requested group."
        },
        "group": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e135",
            "path": "/rest/api/2/group",
            "desc": "Returns REST representation for the requested group. Allows to get list of active users belonging to the\n specified group and its subgroups if \"users\" expand option is provided. You can page through users list by using\n indexes in expand param. For example to get users from index 10 to index 15 use \"users[10:15]\" expand value. This\n will return 6 users (if there are at least 16 users in this group). Indexes are 0-based and inclusive."
        },
        "groupDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e168",
            "path": "/rest/api/2/group",
            "desc": "Deletes a group by given group parameter.\n\n Returns no content"
        },
        "groupUserCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e198",
            "path": "/rest/api/2/group/user",
            "desc": "Adds given user to a group.\n\n Returns the current state of the group."
        },
        "groupUserDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e225",
            "path": "/rest/api/2/group/user",
            "desc": "Removes given user from a group.\n\n Returns no content"
        }
    },
    "Groups": {
        "groupsPicker": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2189",
            "path": "/rest/api/2/groups/picker",
            "desc": "Returns groups with substrings matching a given query. This is mainly for use with\n the group picker, so the returned groups contain html to be used as picker suggestions.\n The groups are also wrapped in a single response object that also contains a header for\n use in the picker, specifically <i>Showing X of Y matching groups</i>.\n\n The number of groups returned is limited by the system property \"jira.ajax.autocomplete.limit\"\n\n The groups will be unique and sorted."
        }
    },
    "Groupuserpicker": {
        "groupuserpicker": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3614",
            "path": "/rest/api/2/groupuserpicker",
            "desc": "Returns a list of users and groups matching query with highlighting. This resource cannot be accessed\n anonymously."
        }
    },
    "Issue": {
        "issueCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e398",
            "path": "/rest/api/2/issue",
            "desc": "Creates an issue or a sub-task from a JSON representation.\n "
        },
        "issueBulkCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e828",
            "path": "/rest/api/2/issue/bulk",
            "desc": "Creates issues or sub-tasks from a JSON representation.\n "
        },
        "issue": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e611",
            "path": "/rest/api/2/issue/{issueIdOrKey}",
            "desc": "Returns a full representation of the issue for the given issue key.\n\n "
        },
        "issueDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e633",
            "path": "/rest/api/2/issue/{issueIdOrKey}",
            "desc": "Delete an issue.\n\n If the issue has subtasks you must set the parameter deleteSubtasks=true to delete the issue.\n You cannot delete an issue without its subtasks also being deleted."
        },
        "issueUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e656",
            "path": "/rest/api/2/issue/{issueIdOrKey}",
            "desc": "Edits an issue from a JSON representation.\n "
        },
        "issueAssigneeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e582",
            "path": "/rest/api/2/issue/{issueIdOrKey}/assignee",
            "desc": "Assigns an issue to a user.\n You can use this resource to assign issues when the user submitting the request has the assign permission but not the\n edit issue permission.\n If the name is \"-1\" automatic assignee is used.  A null name will remove the assignee."
        },
        "issueComment": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e518",
            "path": "/rest/api/2/issue/{issueIdOrKey}/comment/{id}",
            "desc": "Returns all comments for an issue."
        },
        "issueCommentCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e482",
            "path": "/rest/api/2/issue/{issueIdOrKey}/comment",
            "desc": "Adds a new comment to an issue."
        },
        "issueCommentUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e539",
            "path": "/rest/api/2/issue/{issueIdOrKey}/comment/{id}",
            "desc": "Updates an existing comment using its JSON representation."
        },
        "issueCommentDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e568",
            "path": "/rest/api/2/issue/{issueIdOrKey}/comment/{id}",
            "desc": "Deletes an existing comment ."
        },
        "issueEditmeta": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e897",
            "path": "/rest/api/2/issue/{issueIdOrKey}/editmeta",
            "desc": "Returns the meta data for editing an issue.\n "
        },
        "issueNotifyCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e435",
            "path": "/rest/api/2/issue/{issueIdOrKey}/notify",
            "desc": "Sends a notification (email) to the list or recipients defined in the request."
        },
        "issueRemotelink": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1011",
            "path": "/rest/api/2/issue/{issueIdOrKey}/remotelink/{linkId}",
            "desc": "Get the remote issue link with the given id on the issue."
        },
        "issueRemotelinkCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e945",
            "path": "/rest/api/2/issue/{issueIdOrKey}/remotelink",
            "desc": "Creates or updates a remote issue link from a JSON representation. If a globalId is provided and a remote issue link\n exists with that globalId, the remote issue link is updated. Otherwise, the remote issue link is created."
        },
        "issueRemotelinkDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1069",
            "path": "/rest/api/2/issue/{issueIdOrKey}/remotelink/{linkId}",
            "desc": "Delete the remote issue link with the given id on the issue."
        },
        "issueRemotelinkUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1037",
            "path": "/rest/api/2/issue/{issueIdOrKey}/remotelink/{linkId}",
            "desc": "Updates a remote issue link from a JSON representation. Any fields not provided are set to null."
        },
        "issueTransitions": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e679",
            "path": "/rest/api/2/issue/{issueIdOrKey}/transitions",
            "desc": "Get a list of the transitions possible for this issue by the current user, along with fields that are required and their types.\n\n "
        },
        "issueTransitionsCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e698",
            "path": "/rest/api/2/issue/{issueIdOrKey}/transitions",
            "desc": "Perform a transition on an issue.\n When performing the transition you can udate or set other issue fields.\n "
        },
        "issueVotesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e724",
            "path": "/rest/api/2/issue/{issueIdOrKey}/votes",
            "desc": "Remove your vote from an issue. (i.e. \"unvote\")"
        },
        "issueVotesCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e734",
            "path": "/rest/api/2/issue/{issueIdOrKey}/votes",
            "desc": "Cast your vote in favour of an issue."
        },
        "issueVotes": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e744",
            "path": "/rest/api/2/issue/{issueIdOrKey}/votes",
            "desc": "A REST sub-resource representing the voters on the issue."
        },
        "issueWatchers": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e765",
            "path": "/rest/api/2/issue/{issueIdOrKey}/watchers",
            "desc": "Returns the list of watchers for the issue with the given key."
        },
        "issueWatchersCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e782",
            "path": "/rest/api/2/issue/{issueIdOrKey}/watchers",
            "desc": "Adds a user to an issue's watcher list."
        },
        "issueWatchersDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e807",
            "path": "/rest/api/2/issue/{issueIdOrKey}/watchers",
            "desc": "Removes a user from an issue's watcher list."
        },
        "issueWorklog": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1144",
            "path": "/rest/api/2/issue/{issueIdOrKey}/worklog/{id}",
            "desc": "Returns a specific worklog."
        },
        "issueWorklogCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1106",
            "path": "/rest/api/2/issue/{issueIdOrKey}/worklog",
            "desc": "Adds a new worklog entry to an issue."
        },
        "issueWorklogUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1161",
            "path": "/rest/api/2/issue/{issueIdOrKey}/worklog/{id}",
            "desc": "Updates an existing worklog entry using its JSON representation."
        },
        "issueWorklogDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1196",
            "path": "/rest/api/2/issue/{issueIdOrKey}/worklog/{id}",
            "desc": "Deletes an existing worklog entry ."
        },
        "issueCreatemeta": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e862",
            "path": "/rest/api/2/issue/createmeta",
            "desc": "Returns the meta data for creating issues. This includes the available projects, issue types and fields,\n including field types and whether or not those fields are required.\n Projects will not be returned if the user does not have permission to create issues in that project.\n\n "
        },
        "issueAttachmentsCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e260",
            "path": "/rest/api/2/issue/{issueIdOrKey}/attachments",
            "desc": "Add one or more attachments to an issue.\n "
        },
        "issueProperties": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3532",
            "path": "/rest/api/2/issue/{issueIdOrKey}/properties/{propertyKey}",
            "desc": "Returns the value of the property with a given key from the issue identified by the key or by the id. The user who retrieves\n the property is required to have permissions to read the issue."
        },
        "issuePropertiesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3510",
            "path": "/rest/api/2/issue/{issueIdOrKey}/properties/{propertyKey}",
            "desc": "Sets the value of the specified issue's property.\n "
        },
        "issuePropertiesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3558",
            "path": "/rest/api/2/issue/{issueIdOrKey}/properties/{propertyKey}",
            "desc": "Removes the property from the issue identified by the key or by the id. Ths user removing the property is required\n to have permissions to edit the issue."
        }
    },
    "IssueLink": {
        "issueLinkCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5010",
            "path": "/rest/api/2/issueLink",
            "desc": "Creates an issue link between two issues.\n The user requires the link issue permission for the issue which will be linked to another issue.\n The specified link type in the request is used to create the link and will create a link from the first issue\n to the second issue using the outward description. It also create a link from the second issue to the first issue using the\n inward description of the issue link type.\n It will add the supplied comment to the first issue. The comment can have a restriction who can view it.\n If group is specified, only users of this group can view this comment, if roleLevel is specified only users who have the specified role can view this comment.\n The user who creates the issue link needs to belong to the specified group or have the specified role."
        },
        "issueLink": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5042",
            "path": "/rest/api/2/issueLink/{linkId}",
            "desc": "Returns an issue link with the specified id."
        },
        "issueLinkDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5066",
            "path": "/rest/api/2/issueLink/{linkId}",
            "desc": "Deletes an issue link with the specified id.\n To be able to delete an issue link you must be able to view both issues and must have the link issue permission\n for at least one of the issues."
        }
    },
    "IssueLinkType": {
        "issueLinkType": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2046",
            "path": "/rest/api/2/issueLinkType/{issueLinkTypeId}",
            "desc": "Returns for a given issue link type id all information about this issue link type."
        },
        "issueLinkTypeCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2018",
            "path": "/rest/api/2/issueLinkType",
            "desc": "Create a new issue link type."
        },
        "issueLinkTypeDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2063",
            "path": "/rest/api/2/issueLinkType/{issueLinkTypeId}",
            "desc": "Delete the specified issue link type."
        },
        "issueLinkTypeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2071",
            "path": "/rest/api/2/issueLinkType/{issueLinkTypeId}",
            "desc": "Update the specified issue link type."
        }
    },
    "Issuetype": {
        "issuetype": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3596",
            "path": "/rest/api/2/issuetype/{id}",
            "desc": "Returns a full representation of the issue type that has the given id."
        }
    },
    "Jql": {
        "jqlAutocompletedata": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3641",
            "path": "/rest/api/2/jql/autocompletedata",
            "desc": "Returns the auto complete data required for JQL searches."
        }
    },
    "Licenserole": {
        "licenserole": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e342",
            "path": "/rest/api/2/licenserole/{roleId}",
            "desc": "Returns the passed license role if it exists."
        },
        "licenseroleUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e365",
            "path": "/rest/api/2/licenserole/{roleId}",
            "desc": "Updates the license role with the passed data. Only the groups of the role may be updated.\n Requests to change the id or the name of the role will be silently ignored."
        }
    },
    "LicenseValidator": {
        "licenseValidatorCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5089",
            "path": "/rest/api/2/licenseValidator",
            "desc": "<em>acceptable request representations:</em>"
        }
    },
    "Mypermissions": {
        "mypermissions": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3364",
            "path": "/rest/api/2/mypermissions",
            "desc": "Returns all permissions in the system and whether the currently logged in user has them. You can optionally provide a specific context to get permissions for\n (projectKey OR projectId OR issueKey OR issueId)\n "
        }
    },
    "Mypreferences": {
        "mypreferences": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2212",
            "path": "/rest/api/2/mypreferences",
            "desc": "Returns preference of the currently logged in user. Preference key must be provided as input parameter (key). The\n value is returned exactly as it is. If key parameter is not provided or wrong - status code 404. If value is\n found  - status code 200."
        },
        "mypreferencesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2223",
            "path": "/rest/api/2/mypreferences",
            "desc": "Sets preference of the currently logged in user. Preference key must be provided as input parameters (key). Value\n must be provided as post body. If key or value parameter is not provided - status code 404. If preference is set\n - status code 204."
        },
        "mypreferencesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2235",
            "path": "/rest/api/2/mypreferences",
            "desc": "Removes preference of the currently logged in user. Preference key must be provided as input parameters (key). If\n key parameter is not provided or wrong - status code 404. If preference is unset - status code 204."
        }
    },
    "Myself": {
        "myself": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1222",
            "path": "/rest/api/2/myself",
            "desc": "Returns currently logged user. This resource cannot be accessed anonymously."
        },
        "myselfUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1242",
            "path": "/rest/api/2/myself",
            "desc": "Modify currently logged user. The \"value\" fields present will override the existing value.\n Fields skipped in request will not be changed. Only email and display name can be change that way."
        },
        "myselfPasswordUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1275",
            "path": "/rest/api/2/myself/password",
            "desc": "Modify caller password."
        }
    },
    "Password": {
        "passwordPolicy": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3338",
            "path": "/rest/api/2/password/policy",
            "desc": "Returns user-friendly statements governing the system's password policy."
        },
        "passwordPolicyCreateUserCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3350",
            "path": "/rest/api/2/password/policy/createUser",
            "desc": "<em>acceptable request representations:</em>"
        },
        "passwordPolicyUpdateUserCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3356",
            "path": "/rest/api/2/password/policy/updateUser",
            "desc": "<em>acceptable request representations:</em>"
        }
    },
    "Priority": {
        "priority": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3189",
            "path": "/rest/api/2/priority/{id}",
            "desc": "Returns an issue priority."
        }
    },
    "Project": {
        "project": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2268",
            "path": "/rest/api/2/project/{projectIdOrKey}",
            "desc": "Contains a full representation of a project in JSON format.\n\n "
        },
        "projectAvatarCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2367",
            "path": "/rest/api/2/project/{projectIdOrKey}/avatar",
            "desc": "Converts temporary avatar into a real avatar"
        },
        "projectAvatarUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2402",
            "path": "/rest/api/2/project/{projectIdOrKey}/avatar",
            "desc": "<em>acceptable request representations:</em>"
        },
        "projectAvatarDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2438",
            "path": "/rest/api/2/project/{projectIdOrKey}/avatar/{id}",
            "desc": "Deletes avatar"
        },
        "projectAvatarTemporaryCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2345",
            "path": "/rest/api/2/project/{projectIdOrKey}/avatar/temporary",
            "desc": "Creates temporary avatar using multipart. The response is sent back as JSON stored in a textarea. This is because\n the client uses remote iframing to submit avatars using multipart. So we must send them a valid HTML page back from\n which the client parses the JSON."
        },
        "projectAvatars": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2411",
            "path": "/rest/api/2/project/{projectIdOrKey}/avatars",
            "desc": "Returns all avatars which are visible for the currently logged in user.  The avatars are grouped into\n system and custom."
        },
        "projectComponents": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2478",
            "path": "/rest/api/2/project/{projectIdOrKey}/components",
            "desc": "Contains a full representation of a the specified project's components."
        },
        "projectStatuses": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2291",
            "path": "/rest/api/2/project/{projectIdOrKey}/statuses",
            "desc": "Get all issue types with valid status values for a project"
        },
        "projectVersions": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2455",
            "path": "/rest/api/2/project/{projectIdOrKey}/versions",
            "desc": "Contains a full representation of a the specified project's versions."
        },
        "projectProperties": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3825",
            "path": "/rest/api/2/project/{projectIdOrKey}/properties/{propertyKey}",
            "desc": "Returns the value of the property with a given key from the project identified by the key or by the id. The user who retrieves\n the property is required to have permissions to read the project."
        },
        "projectPropertiesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3803",
            "path": "/rest/api/2/project/{projectIdOrKey}/properties/{propertyKey}",
            "desc": "Sets the value of the specified project's property.\n "
        },
        "projectPropertiesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3851",
            "path": "/rest/api/2/project/{projectIdOrKey}/properties/{propertyKey}",
            "desc": "Removes the property from the project identified by the key or by the id. Ths user removing the property is required\n to have permissions to administer the project."
        },
        "projectRole": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4619",
            "path": "/rest/api/2/project/{projectIdOrKey}/role/{id}",
            "desc": "Details on a given project role."
        },
        "projectRoleUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4636",
            "path": "/rest/api/2/project/{projectIdOrKey}/role/{id}",
            "desc": "Updates a project role to contain the sent actors."
        },
        "projectRoleCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4662",
            "path": "/rest/api/2/project/{projectIdOrKey}/role/{id}",
            "desc": "Add an actor to a project role."
        },
        "projectRoleDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4688",
            "path": "/rest/api/2/project/{projectIdOrKey}/role/{id}",
            "desc": "Remove actors from a project role."
        }
    },
    "ProjectCategory": {
        "projectCategory": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4795",
            "path": "/rest/api/2/projectCategory/{id}",
            "desc": "Contains a representation of a project category in JSON format."
        },
        "projectCategoryCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4764",
            "path": "/rest/api/2/projectCategory",
            "desc": "Create a project category via POST."
        },
        "projectCategoryDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4812",
            "path": "/rest/api/2/projectCategory/{id}",
            "desc": "Delete a project category."
        },
        "projectCategoryUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4828",
            "path": "/rest/api/2/projectCategory/{id}",
            "desc": "Modify a project category via PUT. Any fields present in the PUT will override existing values. As a convenience, if a field\n is not present, it is silently ignored."
        }
    },
    "Projectvalidate": {
        "projectvalidateKey": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e297",
            "path": "/rest/api/2/projectvalidate/key",
            "desc": "Validates a project key."
        }
    },
    "Reindex": {
        "reindexCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4962",
            "path": "/rest/api/2/reindex",
            "desc": "Kicks off a reindex.  Need Admin permissions to perform this reindex."
        },
        "reindex": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4986",
            "path": "/rest/api/2/reindex",
            "desc": "Returns information on the system reindexes.  If a reindex is currently taking place then information about this reindex is returned.\n If there is no active index task, then returns information about the latest reindex task run, otherwise returns a 404\n indicating that no reindex has taken place."
        }
    },
    "Resolution": {
        "resolution": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2168",
            "path": "/rest/api/2/resolution/{id}",
            "desc": "Returns a resolution."
        }
    },
    "Screens": {
        "screensTabsCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2943",
            "path": "/rest/api/2/screens/{screenId}/tabs",
            "desc": "Creates tab for given screen"
        },
        "screensTabs": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2965",
            "path": "/rest/api/2/screens/{screenId}/tabs",
            "desc": "Returns a list of all tabs for the given screen"
        },
        "screensTabsFieldsCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2989",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}/fields",
            "desc": "Adds field to the given tab"
        },
        "screensTabsFields": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3011",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}/fields",
            "desc": "Gets all fields for a given tab"
        },
        "screensTabsFieldsDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3036",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}/fields/{id}",
            "desc": "Removes field from given tab"
        },
        "screensTabsUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3056",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}",
            "desc": "Renames tab on given screen"
        },
        "screensTabsDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3078",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}",
            "desc": "Deletes tab to give screen"
        },
        "screensTabsMoveCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3101",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}/move/{pos}",
            "desc": "Moves tab position"
        },
        "screensAvailableFields": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3118",
            "path": "/rest/api/2/screens/{screenId}/availableFields",
            "desc": "Gets available fields for screen. i.e ones that haven't already been added."
        },
        "screensTabsFieldsMoveCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3139",
            "path": "/rest/api/2/screens/{screenId}/tabs/{tabId}/fields/{id}/move",
            "desc": "Moves field on the given tab"
        },
        "screensAddToDefaultCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3158",
            "path": "/rest/api/2/screens/addToDefault/{fieldId}",
            "desc": "Adds field or custom field to the default tab"
        }
    },
    "Search": {
        "search": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3665",
            "path": "/rest/api/2/search",
            "desc": "Searches for issues using JQL.\n\n "
        },
        "searchCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3701",
            "path": "/rest/api/2/search",
            "desc": "Performs a search using JQL."
        }
    },
    "Securitylevel": {
        "securitylevel": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3987",
            "path": "/rest/api/2/securitylevel/{id}",
            "desc": "Returns a full representation of the security level that has the given id."
        }
    },
    "ServerInfo": {
        "serverInfo": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e279",
            "path": "/rest/api/2/serverInfo",
            "desc": "Returns general information about the current JIRA server."
        }
    },
    "Settings": {
        "settingsBaseUrlUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4917",
            "path": "/rest/api/2/settings/baseUrl",
            "desc": "Sets the base URL that is configured for this JIRA instance."
        },
        "settingsColumns": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4930",
            "path": "/rest/api/2/settings/columns",
            "desc": "Returns the default system columns for issue navigator. Admin permission will be required."
        },
        "settingsColumnsUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4943",
            "path": "/rest/api/2/settings/columns",
            "desc": "Sets the default system columns for issue navigator. Admin permission will be required."
        }
    },
    "Status": {
        "status": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3456",
            "path": "/rest/api/2/status/{idOrName}",
            "desc": "Returns a full representation of the Status having the given id or name."
        }
    },
    "Statuscategory": {
        "statuscategory": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e3749",
            "path": "/rest/api/2/statuscategory/{idOrKey}",
            "desc": "Returns a full representation of the StatusCategory having the given id or key"
        }
    },
    "UniversalAvatar": {
        "universalAvatarTypeOwnerTempCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2117",
            "path": "/rest/api/2/universal_avatar/type/{type}/owner/{owningObjectId}/temp",
            "desc": "<em>available response representations:</em>"
        },
        "universalAvatarTypeOwnerAvatarCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2123",
            "path": "/rest/api/2/universal_avatar/type/{type}/owner/{owningObjectId}/avatar",
            "desc": "<em>acceptable request representations:</em>"
        },
        "universalAvatarTypeOwnerAvatarDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2136",
            "path": "/rest/api/2/universal_avatar/type/{type}/owner/{owningObjectId}/avatar/{id}",
            "desc": "Deletes avatar"
        },
        "universalAvatarTypeOwner": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2146",
            "path": "/rest/api/2/universal_avatar/type/{type}/owner/{owningObjectId}",
            "desc": "<em>available response representations:</em>"
        }
    },
    "User": {
        "user": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4005",
            "path": "/rest/api/2/user",
            "desc": "Returns a user. This resource cannot be accessed anonymously."
        },
        "userUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4032",
            "path": "/rest/api/2/user",
            "desc": "Modify user. The \"value\" fields present will override the existing value.\n Fields skipped in request will not be changed."
        },
        "userCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4070",
            "path": "/rest/api/2/user",
            "desc": "Create user. By default created user will not be notified with email.\n If password field is not set then password will be randomly generated."
        },
        "userDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4102",
            "path": "/rest/api/2/user",
            "desc": "Removes user."
        },
        "userAssignableMultiProjectSearch": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4453",
            "path": "/rest/api/2/user/assignable/multiProjectSearch",
            "desc": "Returns a list of users that match the search string and can be assigned issues for all the given projects.\n This resource cannot be accessed anonymously."
        },
        "userAssignableSearch": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4296",
            "path": "/rest/api/2/user/assignable/search",
            "desc": "Returns a list of users that match the search string. This resource cannot be accessed anonymously.\n Please note that this resource should be called with an issue key when a list of assignable users is retrieved\n for editing.  For create only a project key should be supplied.  The list of assignable users may be incorrect\n if it's called with the project key for editing."
        },
        "userAvatarCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4184",
            "path": "/rest/api/2/user/avatar",
            "desc": "Converts temporary avatar into a real avatar"
        },
        "userAvatarUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4222",
            "path": "/rest/api/2/user/avatar",
            "desc": "<strong>username</strong>"
        },
        "userAvatarDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4518",
            "path": "/rest/api/2/user/avatar/{id}",
            "desc": "Deletes avatar"
        },
        "userAvatarTemporaryCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4159",
            "path": "/rest/api/2/user/avatar/temporary",
            "desc": "Creates temporary avatar using multipart. The response is sent back as JSON stored in a textarea. This is because\n the client uses remote iframing to submit avatars using multipart. So we must send them a valid HTML page back from\n which the client parses the JSON from.\n\n "
        },
        "userAvatars": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4487",
            "path": "/rest/api/2/user/avatars",
            "desc": "Returns all avatars which are visible for the currently logged in user."
        },
        "userColumns": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4536",
            "path": "/rest/api/2/user/columns",
            "desc": "Returns the default columns for the given user. Admin permission will be required to get columns for a user\n other than the currently logged in user."
        },
        "userColumnsUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4556",
            "path": "/rest/api/2/user/columns",
            "desc": "Sets the default columns for the given user.  Admin permission will be required to get columns for a user\n other than the currently logged in user."
        },
        "userColumnsDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4574",
            "path": "/rest/api/2/user/columns",
            "desc": "Reset the default columns for the given user to the system default. Admin permission will be required to get\n columns for a user other than the currently logged in user."
        },
        "userPasswordUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4337",
            "path": "/rest/api/2/user/password",
            "desc": "Modify user password."
        },
        "userPermissionSearch": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4407",
            "path": "/rest/api/2/user/permission/search",
            "desc": "Returns a list of active users that match the search string and have all specified permissions for the project or issue.<br>\n This resource can be accessed by users with ADMINISTER_PROJECT permission for the project or global ADMIN or SYSADMIN rights."
        },
        "userPicker": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4266",
            "path": "/rest/api/2/user/picker",
            "desc": "Returns a list of users matching query with highlighting. This resource cannot be accessed anonymously."
        },
        "userSearch": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4229",
            "path": "/rest/api/2/user/search",
            "desc": "Returns a list of users that match the search string. This resource cannot be accessed anonymously."
        },
        "userViewissueSearch": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e4366",
            "path": "/rest/api/2/user/viewissue/search",
            "desc": "Returns a list of active users that match the search string. This resource cannot be accessed anonymously.\n Given an issue key this resource will provide a list of users that match the search string and have\n the browse issue permission for the issue provided."
        }
    },
    "Version": {
        "versionCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5095",
            "path": "/rest/api/2/version",
            "desc": "Create a version via POST."
        },
        "versionMoveCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5233",
            "path": "/rest/api/2/version/{id}/move",
            "desc": "Modify a version's sequence within a project.\n\n The move version bean has 2 alternative field value pairs:\n "
        },
        "versionDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5126",
            "path": "/rest/api/2/version/{id}",
            "desc": "Delete a project version."
        },
        "version": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5146",
            "path": "/rest/api/2/version/{id}",
            "desc": "Returns a project version."
        },
        "versionUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5165",
            "path": "/rest/api/2/version/{id}",
            "desc": "Modify a version via PUT. Any fields present in the PUT will override existing values. As a convenience, if a field\n is not present, it is silently ignored."
        },
        "versionRelatedIssueCounts": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5191",
            "path": "/rest/api/2/version/{id}/relatedIssueCounts",
            "desc": "Returns a bean containing the number of fixed in and affected issues for the given version."
        },
        "versionUnresolvedIssueCount": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5212",
            "path": "/rest/api/2/version/{id}/unresolvedIssueCount",
            "desc": "Returns the number of unresolved issues for the given version"
        },
        "versionRemotelink": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5260",
            "path": "/rest/api/2/version/remotelink",
            "desc": "Returns the remote version links for a given global ID."
        },
        "versionRemotelinkCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5368",
            "path": "/rest/api/2/version/{versionId}/remotelink/{globalId}",
            "desc": "Create a remote version link via POST.  The link's global ID will be taken from the\n JSON payload if provided; otherwise, it will be generated."
        },
        "versionRemotelinkDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e5400",
            "path": "/rest/api/2/version/{versionId}/remotelink/{globalId}",
            "desc": "Delete a specific remote version link with the given version ID and global ID."
        }
    },
    "Workflow": {
        "workflow": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2590",
            "path": "/rest/api/2/workflow",
            "desc": "Returns all workflows."
        },
        "workflowProperties": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2607",
            "path": "/rest/api/2/workflow/{id}/properties",
            "desc": "Return the property or properties associated with a transition."
        },
        "workflowPropertiesDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2635",
            "path": "/rest/api/2/workflow/{id}/properties",
            "desc": "Delete a property from the passed transition on the passed workflow. It is not an error to delete a property that\n does not exist."
        },
        "workflowPropertiesCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2659",
            "path": "/rest/api/2/workflow/{id}/properties",
            "desc": "Add a new property to a transition. Trying to add a property that already\n exists will fail."
        },
        "workflowPropertiesUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e2695",
            "path": "/rest/api/2/workflow/{id}/properties",
            "desc": "Update/add new property to a transition. Trying to update a property that does\n not exist will result in a new property being added."
        }
    },
    "Workflowscheme": {
        "workflowschemeCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1348",
            "path": "/rest/api/2/workflowscheme",
            "desc": "Create a new workflow scheme.\n\n The body contains a representation of the new scheme. Values not passed are assumed to be set to their defaults."
        },
        "workflowschemeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1457",
            "path": "/rest/api/2/workflowscheme/{id}",
            "desc": "Update the passed workflow scheme.\n\n The body of the request is a representation of the workflow scheme. Values not passed are assumed to indicate\n no change for that field.\n\n The passed representation can have its updateDraftIfNeeded flag set to true to indicate that the draft\n should be created and/or updated when the actual scheme cannot be edited (e.g. when the scheme is being used by\n a project). Values not appearing the body will not be touched."
        },
        "workflowscheme": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1486",
            "path": "/rest/api/2/workflowscheme/{id}",
            "desc": "Returns the requested workflow scheme to the caller."
        },
        "workflowschemeDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1510",
            "path": "/rest/api/2/workflowscheme/{id}",
            "desc": "Delete the passed workflow scheme."
        },
        "workflowschemeCreatedraftCreate": {
            "method": "POST",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1680",
            "path": "/rest/api/2/workflowscheme/{id}/createdraft",
            "desc": "Create a draft for the passed scheme. The draft will be a copy of the state of the parent."
        },
        "workflowschemeDefault": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1378",
            "path": "/rest/api/2/workflowscheme/{id}/default",
            "desc": "Return the default workflow from the passed workflow scheme."
        },
        "workflowschemeDefaultDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1400",
            "path": "/rest/api/2/workflowscheme/{id}/default",
            "desc": "Remove the default workflow from the passed workflow scheme."
        },
        "workflowschemeDefaultUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1424",
            "path": "/rest/api/2/workflowscheme/{id}/default",
            "desc": "Set the default workflow for the passed workflow scheme.\n\n The passed representation can have its\n updateDraftIfNeeded flag set to true to indicate that the draft should be created/updated when the actual scheme\n cannot be edited."
        },
        "workflowschemeDraft": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1614",
            "path": "/rest/api/2/workflowscheme/{id}/draft",
            "desc": "Returns the requested draft workflow scheme to the caller."
        },
        "workflowschemeDraftDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1634",
            "path": "/rest/api/2/workflowscheme/{id}/draft",
            "desc": "Delete the passed draft workflow scheme."
        },
        "workflowschemeDraftUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1647",
            "path": "/rest/api/2/workflowscheme/{id}/draft",
            "desc": "Update a draft workflow scheme. The draft will created if necessary.\n\n The body is a representation of the workflow scheme. Values not passed are assumed to indicate no change for that field."
        },
        "workflowschemeDraftDefault": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1931",
            "path": "/rest/api/2/workflowscheme/{id}/draft/default",
            "desc": "Return the default workflow from the passed draft workflow scheme to the caller."
        },
        "workflowschemeDraftDefaultDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1949",
            "path": "/rest/api/2/workflowscheme/{id}/draft/default",
            "desc": "Remove the default workflow from the passed draft workflow scheme."
        },
        "workflowschemeDraftDefaultUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1969",
            "path": "/rest/api/2/workflowscheme/{id}/draft/default",
            "desc": "Set the default workflow for the passed draft workflow scheme."
        },
        "workflowschemeDraftIssuetype": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1858",
            "path": "/rest/api/2/workflowscheme/{id}/draft/issuetype/{issueType}",
            "desc": "Returns the issue type mapping for the passed draft workflow scheme."
        },
        "workflowschemeDraftIssuetypeDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1878",
            "path": "/rest/api/2/workflowscheme/{id}/draft/issuetype/{issueType}",
            "desc": "Remove the specified issue type mapping from the draft scheme."
        },
        "workflowschemeDraftIssuetypeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1898",
            "path": "/rest/api/2/workflowscheme/{id}/draft/issuetype/{issueType}",
            "desc": "Set the issue type mapping for the passed draft scheme.\n\n The passed representation can have its updateDraftIfNeeded flag set to true to indicate that\n the draft should be created/updated when the actual scheme cannot be edited."
        },
        "workflowschemeDraftWorkflow": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1781",
            "path": "/rest/api/2/workflowscheme/{id}/draft/workflow",
            "desc": "Returns the draft workflow mappings or requested mapping to the caller."
        },
        "workflowschemeDraftWorkflowDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1805",
            "path": "/rest/api/2/workflowscheme/{id}/draft/workflow",
            "desc": "Delete the passed workflow from the draft workflow scheme."
        },
        "workflowschemeDraftWorkflowUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1822",
            "path": "/rest/api/2/workflowscheme/{id}/draft/workflow",
            "desc": "Update the draft scheme to include the passed mapping.\n\n The body is a representation of the workflow mapping.\n Values not passed are assumed to indicate no change for that field."
        },
        "workflowschemeIssuetype": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1533",
            "path": "/rest/api/2/workflowscheme/{id}/issuetype/{issueType}",
            "desc": "Returns the issue type mapping for the passed workflow scheme."
        },
        "workflowschemeIssuetypeDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1557",
            "path": "/rest/api/2/workflowscheme/{id}/issuetype/{issueType}",
            "desc": "Remove the specified issue type mapping from the scheme."
        },
        "workflowschemeIssuetypeUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1581",
            "path": "/rest/api/2/workflowscheme/{id}/issuetype/{issueType}",
            "desc": "Set the issue type mapping for the passed scheme.\n\n The passed representation can have its updateDraftIfNeeded flag set to true to indicate that\n the draft should be created/updated when the actual scheme cannot be edited."
        },
        "workflowschemeWorkflow": {
            "method": "GET",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1701",
            "path": "/rest/api/2/workflowscheme/{id}/workflow",
            "desc": "Returns the workflow mappings or requested mapping to the caller for the passed scheme."
        },
        "workflowschemeWorkflowDelete": {
            "method": "DELETE",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1728",
            "path": "/rest/api/2/workflowscheme/{id}/workflow",
            "desc": "Delete the passed workflow from the workflow scheme."
        },
        "workflowschemeWorkflowUpdate": {
            "method": "PUT",
            "link": "https://docs.atlassian.com/jira/REST/latest/#d2e1748",
            "path": "/rest/api/2/workflowscheme/{id}/workflow",
            "desc": "Update the scheme to include the passed mapping.\n\n The body is a representation of the workflow mapping.\n Values not passed are assumed to indicate no change for that field.\n\n The passed representation can have its updateDraftIfNeeded flag set to true to indicate that the draft\n should be created/updated when the actual scheme cannot be edited."
        }
    }
};